% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PRONE-package.R
\docType{package}
\name{PRONE-package}
\alias{PRONE}
\alias{PRONE-package}
\title{PRONE: The PROteomics Normalization Evaluator}
\description{
High-throughput omics data are often affected by systematic biases introduced throughout all the steps of a clinical study, from sample collection to quantification. Normalization methods aim to adjust for these biases to make the actual biological signal more prominent. However, selecting an appropriate normalization method is challenging due to the wide range of available approaches. Therefore, a comparative evaluation of unnormalized and normalized data is essential in identifying an appropriate normalization strategy for a specific data set. This R package provides different functions for preprocessing, normalizing, and evaluating different normalization approaches. Furthermore, normalization methods can be evaluated on downstream steps, such as differential expression analysis and statistical enrichment analysis. Spike-in data sets with known ground truth and real-world data sets of biological experiments acquired by either tandem mass tag (TMT) or label-free quantification (LFQ) can be analyzed.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/daisybio/PRONE}
  \item Report bugs at \url{https://github.com/daisybio/PRONE/issues}
}

}
\author{
\strong{Maintainer}: Lis Arend \email{lis.arend@tum.de} (\href{https://orcid.org/0000-0001-7990-8385}{ORCID})

}
\keyword{internal}
